Create payment link

View as MarkdownOpen in Claude
Use this method to create a payment link that a customer can use to make a payment for goods or services. The request includes the following settings: - **type** - Indicates whether the link can be used only once or if it can be used multiple times. - **authType** - Indicates whether the transaction is a sale or a pre-authorization. - **paymentMethod** - Indicates the payment methods that the merchant accepts. - **charge** - Indicates whether the merchant or the customer enters the amount for the transaction. If your request is successful, our gateway returns a paymentLinkId, which you can use to perform follow-on actions. **Note:** To share the payment link with a customer, use our [Share Payment Link](https://docs.payroc.com/api/schema/payment-links/sharing-events/share) method.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

processingTerminalIdstringRequired4-50 characters
Unique identifier that we assigned to the terminal.

Headers

Idempotency-KeystringRequiredformat: "uuid"
Unique identifier that you generate for each request. You must use the [UUID v4 format](https://www.rfc-editor.org/rfc/rfc4122) for the identifier. For more information about the idempotency key, go to [Idempotency](https://docs.payroc.com/api/idempotency).

Request

Polymorphic object that contains payment link information. The value of the type parameter determines which variant you should use: - `multiUse` - Create a link that the merchant can use to take multiple payments. - `singleUse` - Create a link that the merchant can use for only one payment.
multiUseobjectRequired
OR
singleUseobjectRequired

Response headers

locationstring
URI reference to created resource.

Response

Successful request. We return a polymorphic object that contains payment link information. The value of the type parameter determines which variant you should use: - `multiUse` - Create a link that the merchant can use to take multiple payments. - `singleUse` - Create a link that the merchant can use for only one payment.
multiUseobject
OR
singleUseobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
406
Not Acceptable Error
409
Conflict Error
415
Unsupported Media Type Error
500
Internal Server Error